Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 02/05/2012, à 14:47

chandra

[Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

La version 2.8.6 sous xubuntu 11.10 me donnait toute satisfaction.
Après installation (une "fraîche instalation" pour être précis) de xubuntu 12.04, abiword passe en version 2.9.2 et c'est l'horreur :
- impossible de se ballader un document avec la roue de la souris. Elle ne consent à fonctionner QUE SI on la positionne sur l'ascenseur vertical.
- Dans ce cas, l'affichage "saute" ligne par ligne : disparition furtive du texte à chaque saut de ligne !
- un Ctrl + G (Aller à...) met plusieurs secondes avant de s'afficher. Il faut ensuite attendre encore plusieurs secondes pour taper le numéro de la page sur laquelle on veut se rendre.
- affichage affligée d'une barre noire en haut du texte à la place de la règle (en version 64 bits uniquement. La barre n'apparaît pas après une installation en 32 bits.
- le paquet abiword est abiword 2.9.2 + svn20120215-2 (installation 64 bits) ou svn20120213-1 (installation 32 bits). Donc, on "gère" les versions avec subversion. Le site d'abiword précise que ce paquet est instable et ne doit PAS être utilisé en exploitation !
- Ne pourrait-on pas obtenir une fois pour toute que ce qui marchait dans la précédente version continue à fonctionner dans la nouvelle. Il y a suffisamment de problèmes existants sans en rajouter.
- Je "renifle" un problème de gestion de la fenêtre d'abiword. Problème de bibliothèques gtk ?
- J'ai rechargé une sauvegarde de 11.10, très exactement un clonage du disque sous Clonezilla.

Dernière modification par chandra (Le 03/07/2012, à 22:00)


Quand les logiciels libres seront-ils libres de problèmes ?
Unity : une solution pour laquelle il n'y avait pas de problème !

Hors ligne

#2 Le 02/05/2012, à 18:38

winux12

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

Je confirme, abiword 2.9.2 est complètement buggée. L'utilitaire Options fait tout planter, a désinstaller d'urgence !!!


La LIBERTE n'a pas de prix ...Ubuntu 12.04 - Gnome-Shell - Asus K52F-SSD 240Go-8Go Ram
TuxLibre - ARU2L
Adhérent à l'APRIL
1 Photo - 1 Jour

Hors ligne

#3 Le 04/05/2012, à 16:22

chandra

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

Ce problème semble n'affecter que quelques utilisateurs mais est bien réel :
- un look pas terrible
http://ubuntuforums.org/showthread.php? … ht=abiword
- Touches de fonctions et défilement avec la roulette de la souris
http://ubuntuforums.org/showthread.php? … ht=abiword
- Barre de tabulation noire
http://ubuntuforums.org/showthread.php? … ht=abiword
Je pense qu'il s'agit d'un problème de manque de compatibilité avec GTK.
Quelqu'un est confronté au même problème ? A des idées plus précises ?


Quand les logiciels libres seront-ils libres de problèmes ?
Unity : une solution pour laquelle il n'y avait pas de problème !

Hors ligne

#4 Le 05/05/2012, à 11:00

loz

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

Je confirme aussi...
Sous Xubuntu Precise, Abi se ferme brutalement à l'ouverture d'un document odt avec une pas trop compliquée mise-en-page faite sour libreoffice... Idem pour un fichier odt avec simplement du texte, ça plante dès que je modifie les paramètres d'affichages à l'écran
Plus qu'à reprendre la version 2.8.6 chez http://www.abisource.com/

Hors ligne

#5 Le 05/05/2012, à 17:09

chandra

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

- As-tu réinstallé le paquet abiword 2.8.6 sous Precise ?
- Il est récupérable sur :
http://packages.ubuntu.com/search?keywords=abiword
dans la rubrique oneiric : abiword_2.8.6-0.3ubuntu2_i386.deb
ou dans
http://pkgs.org/ubuntu-11.10/ubuntu-uni … 4.deb.html
(ou il existe également les deux versions 32 et 64 bits)
- Je n'ai pas osé faire la manip en raison de possibles problèmes de dépendance.
- Je me demande aussi comment ça se passerait en cas de mise à jour du paquet 2.9.2 sous Precise avec un paquet 2.8.6 installé.
Des infos ?

Dernière modification par chandra (Le 05/05/2012, à 17:16)


Quand les logiciels libres seront-ils libres de problèmes ?
Unity : une solution pour laquelle il n'y avait pas de problème !

Hors ligne

#6 Le 07/05/2012, à 22:50

loz

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

Je n'ai pas tenté le coup pour les même raisons! Je sais juste qu'on peut installer 2 versions différentes de FireFox sur son Buntu. ça doit être faisable avec Abi. Ya plus qu'à trouver comment parce que je ne sais pas du tout!

Hors ligne

#7 Le 08/05/2012, à 02:37

chandra

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

Pourquoi ne pas déclarer le dépôt universe de 11.10 dans "Source de logiciels" aux côtés des dépôts de 12.04 ?


Quand les logiciels libres seront-ils libres de problèmes ?
Unity : une solution pour laquelle il n'y avait pas de problème !

Hors ligne

#8 Le 02/07/2012, à 14:43

Pierrot86

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

Même problème avec Lubuntu 12.04. J'ai réinstallé le paquet abiword 2.8.6 à la main, et ça semble fonctionner correctement.

Hors ligne

#9 Le 03/07/2012, à 13:31

Julientroploin

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

la solution pour downgrader la version d'abiword semble etre donnée ici :
./viewtopic.php?pid=9636001#p9636001


Fixe : Core i5, 4GoRAM, NVidia 9800GT Silent => Raring64
Portable Compaq Presario2158 : AthlonXP-M2400+, 1GoRAM, ATI Radeon mobility320M => Debian stable+Openbox
https://launchpad.net/~julienmbpe

Hors ligne

#10 Le 03/07/2012, à 21:58

chandra

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

Et ça marche ! J'ai un peu complété la méthode :

sudo leafpad /etc/apt/preferences

On y met (Pour chacun des paquets nommés, 1050 indique que oneiric est une version plus récente que pangolin et bloque donc le paquet d'oneiric) :

Package: abiword
Pin: release a=oneiric
Pin-Priority: 1050

Package: abiword-common
Pin: release a=oneiric
Pin-Priority: 1050

Package: abiword-plugin-grammar
Pin: release a=oneiric
Pin-Priority: 1050

Package: abiword-plugin-mathview
Pin: release a=oneiric
Pin-Priority: 1050

Puis

sudo leafpad /etc/apt/sources.list

Et ajouter la section :

## Paquets pour abiword
deb http://fr.archive.ubuntu.com/ubuntu/ oneiric universe

Mettre à jour les paquets par :

sudo apt-get update

Il suffit ensuite de réinstaller les paquets abiword et  abiword-common à partir de synaptic, ainsi que les deux paquets abiword-plugin-grammar et abiword-plugin-mathview si on les utilisait auparavant.

Remarque : le correcteur grammatical fonctionne un peu pour l'anglais mais pas pour le français. Quant au plugin mathématique... à moins de devoir publier des équations mathématiques...

Dernière modification par chandra (Le 12/07/2012, à 20:47)


Quand les logiciels libres seront-ils libres de problèmes ?
Unity : une solution pour laquelle il n'y avait pas de problème !

Hors ligne

#11 Le 12/07/2012, à 11:13

degolarson

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

bonjour
j'ai aussi des pb avec Abiword et Gnumeric sous Xubuntu 12.04 que je préfère maintenant à Ubuntu/Unity ...no comment
perturbations de la mise en page des fichiers word reçus de correspondants utilisant MSWord sous Windows ou Mac
pas de convertisseur pdf apparent, sous Gnumeric non plus
ouverture de fichiers pdf reçus sur Tbird : au 1er essai impossible ouvrir, puis après sauvegarde il est en .doc illisible
au 2ème essai le fichier s'entregistre et s'ouvre normalement en pdf

dans l'immédiat j'installe Libre office qui marchait bien sous ubuntu 11.04 avec  qq inconvénients mineurs
voilà, ça ne solutionne pas les problèmes mais dans l'urgence...


xp / Xubuntu 12.04.5   32b   3.2.0-69-generic    xfce 4.8.6         
Laptop AsusPRO79 I   250Go / 2.9Go    2 x Pentium (R) Dual-Core T4200  2GHz    année 2009
Cartes : IntelMobile4SeriesGMA500,   wifi  Atheros 9285       Freebox V5   
Doucement, nous sommes pressés !

Hors ligne

#12 Le 12/07/2012, à 16:50

chandra

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

Xubuntu 12.04 embarque la version 2.9.2 d'abiword, extraite du dépôt "testing" de Debian. Le site d'abiword précise que cette version n'est pas stable et ne doit pas être utilisée en exploitation. D'où mon post sur ce forum. Solution : installer la version 2.8.6 selon la méthode ci-dessus.

J'utilise la version de gnumericde 12.04 et n'ai pas de problème. Par contre, je ne vois pas bien comment un tableur pourrait ouvrir un fichier pdf ?!... Le tableur peut en revanche exporter au format pdf.

Le lecteur pdf recommandé par Xfce est ePDFview : léger, fonctionnel...

Je ne connais pas Tbird.


Quand les logiciels libres seront-ils libres de problèmes ?
Unity : une solution pour laquelle il n'y avait pas de problème !

Hors ligne

#13 Le 12/07/2012, à 17:17

degolarson

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

bonjour
je ne rajoute rien au commentaire sur le choix d'une version instable 2.9.2 sur une nouvelle distribution, si ce n'est que fut un temps où j'étais responsable qualité d'une boîte, je me serais fait virer pour moins que ça....
bon je vais downgrader Abiword
pour gommer les problèmes de compatibilité Abiword avec MS word ou word sous Mac utilisés par 99.9% de mes correspondants, le format RTF est il une solution ?
je parviens à ouvrir des fichiers pdf avec le visionneur de documents (est-ce  ePDFview ?), et pour les générer depuis Abiword et Gnumeric  j'ai fini par trouver  "enregistrer sous " au format pdf,
reste à trouver un équivalent de Libre office Impress , ou bien peut on le télécharger sans prendre la suite entière ?
T bird c'est Thunderbird, désolé pour la mode des abréviations

Dernière modification par degolarson (Le 12/07/2012, à 17:30)


xp / Xubuntu 12.04.5   32b   3.2.0-69-generic    xfce 4.8.6         
Laptop AsusPRO79 I   250Go / 2.9Go    2 x Pentium (R) Dual-Core T4200  2GHz    année 2009
Cartes : IntelMobile4SeriesGMA500,   wifi  Atheros 9285       Freebox V5   
Doucement, nous sommes pressés !

Hors ligne

#14 Le 12/07/2012, à 17:37

degolarson

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

re bonjour
j'ai suivi la procédure de downgrading, mais est il normal que dans synaptic je retrouve "installé" : 2.9.2 +svn20120213-1  ?    faut il redémarrer ?
j'ai désisntallé abiword-plugin-grammar et abiword-plugin-mathview qui ne me servent pas
merci


xp / Xubuntu 12.04.5   32b   3.2.0-69-generic    xfce 4.8.6         
Laptop AsusPRO79 I   250Go / 2.9Go    2 x Pentium (R) Dual-Core T4200  2GHz    année 2009
Cartes : IntelMobile4SeriesGMA500,   wifi  Atheros 9285       Freebox V5   
Doucement, nous sommes pressés !

Hors ligne

#15 Le 12/07/2012, à 20:44

chandra

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

Non; c'est pas normal. Tu n'as pas du mettre à jour la liste des paquets. J'ai déjà désinstallé tous les paquets abiword 2.9.2, puis fait la modif dans /etc/apt/preferences et /etc/apt/sources.list puis mis à jour la liste des paquets par :

sudo apt-get update

et installé ensuite abiword à partir de synaptic.

Personnellement, j'utilise le format odt (open document text) que tout traitement de texte doit connaître. rtf marche aussi mais ne permet pas tout.

Dernière modification par chandra (Le 12/07/2012, à 20:58)


Quand les logiciels libres seront-ils libres de problèmes ?
Unity : une solution pour laquelle il n'y avait pas de problème !

Hors ligne

#16 Le 12/07/2012, à 20:56

ljere

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

pour faire plus simple on crée

sudo leafpad /etc/apt/preferences

on y met

Package: abiword*
Pin: release a=oneiric
Pin-Priority: 1050

puis

sudo leafpad /etc/apt/sources.list

on y ajoute

## paquet pour abiword
deb http://fr.archive.ubuntu.com/ubuntu/ oneiric universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ oneiric universe

et la on peut faire

sudo apt-get update && sudo apt-get dist-upgrade

athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openboxubuntu 14.10 64 bit
Mon Blog
administrateur du forum ubuntu-fr.org

Hors ligne

#17 Le 12/07/2012, à 21:02

chandra

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

OK. Mais je suis parfois ainsi fait : pourquoi faire simple quand on peut faire compliqué ! Dans mes premiers tatonnements, j'avais eu des problèmes de dépendances. C'est pourquoi j'avais mis tous les paquets abiword en les listant un par un dans /etc/apt/preferences. Et comme mon problème était résolu...

Dernière modification par chandra (Le 12/07/2012, à 21:06)


Quand les logiciels libres seront-ils libres de problèmes ?
Unity : une solution pour laquelle il n'y avait pas de problème !

Hors ligne

#18 Le 12/07/2012, à 21:09

ljere

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

aucun souci comme je n'avais pas eu de souci de dépendance j'ai pas pensé à mettre * après abiword


athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openboxubuntu 14.10 64 bit
Mon Blog
administrateur du forum ubuntu-fr.org

Hors ligne

#19 Le 12/07/2012, à 21:13

degolarson

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

j'ai désinstallé puis

joel@joel-K70IJ:~$ sudo leafpad /etc/apt/preferences
[sudo] password for joel: 
joel@joel-K70IJ:~$ sudo leafpad /etc/apt/sources.list
joel@joel-K70IJ:~$ sudo apt-get upadate
E: L'opération upadate n'est pas valable
joel@joel-K70IJ:~$ 

avec sudo apt-get update c'est mieux, voici les dernières lignes :
(j'avais fait les mises à jour avec le gestionnaire de màj juste avant )

Réception de : 56 http://fr.archive.ubuntu.com oneiric/universe Translation-en [3 165 kB]
21,8 Mo réceptionnés en 16s (1 348 ko/s)                                       
W: Impossible de récupérer http://ppa.launchpad.net/natesm/ease/ubuntu/dists/precise/main/source/Sources  404  Not Found

W: Impossible de récupérer http://ppa.launchpad.net/natesm/ease/ubuntu/dists/precise/main/binary-i386/Packages  404  Not Found

E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
E: Impossible d'obtenir le verrou /var/lib/dpkg/lock - open (11: Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.
joel@joel-K70IJ:~$ 

en réouvrant synaptic j'ai eu ce message : une erreur s'est produite
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ oneiric/universe i386 Packages (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_oneiric_universe_binary-i386_Packages)

synaptic s'est ouvert  quand même j'ai installé tous les abiword 2.8.6 sauf mathview et grammar
merci


xp / Xubuntu 12.04.5   32b   3.2.0-69-generic    xfce 4.8.6         
Laptop AsusPRO79 I   250Go / 2.9Go    2 x Pentium (R) Dual-Core T4200  2GHz    année 2009
Cartes : IntelMobile4SeriesGMA500,   wifi  Atheros 9285       Freebox V5   
Doucement, nous sommes pressés !

Hors ligne

#20 Le 12/07/2012, à 21:19

ljere

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

ben oui il ne faut pas ouvrir synaptic en même temps que tu mets à jour c'est soit l'un soit l'autre


athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openboxubuntu 14.10 64 bit
Mon Blog
administrateur du forum ubuntu-fr.org

Hors ligne

#21 Le 12/07/2012, à 21:27

degolarson

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

hé oui je m'en suis douté mais trop tard
du moins j'avais pensé à fermer abiword avant de faire la manip
merci


xp / Xubuntu 12.04.5   32b   3.2.0-69-generic    xfce 4.8.6         
Laptop AsusPRO79 I   250Go / 2.9Go    2 x Pentium (R) Dual-Core T4200  2GHz    année 2009
Cartes : IntelMobile4SeriesGMA500,   wifi  Atheros 9285       Freebox V5   
Doucement, nous sommes pressés !

Hors ligne

#22 Le 12/07/2012, à 22:01

chandra

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

N'importe quel ubunteros te le dira : très peu de problèmes sont insolubles sous linux. Bien sûr, il faut s'en occuper un peu. L'essentiel, c'est que maintenant ça marche.

Au fait, je n'ai jamais eu de problème d'ouverture de pièces jointes récupérées par Thunderbird et liés à Thunderbird. Il faut au besoin "Enregistrer les pièces jointes" puis les ouvrir. Évidemment, si elles sont un peu abimées au départ...


Quand les logiciels libres seront-ils libres de problèmes ?
Unity : une solution pour laquelle il n'y avait pas de problème !

Hors ligne

#23 Le 12/07/2012, à 22:09

degolarson

Re : [Résolu] L'horreur du nouvel abiword : 2.8.6->2.9.2 (De 11.10 à 12.04)

oui merci Chandra
c'est vrai qu'avec thunderbird je n'ai pas souvent de pb ..ce n'est qu'en essayant d'ouvrir directement que ça rate qq fois

au fait si tu as un moment ..http://forum.ubuntu-fr.org/viewtopic.php?id=968361
c'est quoi au juste un "up" dont il ne faut pas abuser dixit le mode d'emploi forum ?

Dernière modification par degolarson (Le 12/07/2012, à 22:10)


xp / Xubuntu 12.04.5   32b   3.2.0-69-generic    xfce 4.8.6         
Laptop AsusPRO79 I   250Go / 2.9Go    2 x Pentium (R) Dual-Core T4200  2GHz    année 2009
Cartes : IntelMobile4SeriesGMA500,   wifi  Atheros 9285       Freebox V5   
Doucement, nous sommes pressés !

Hors ligne

Haut de page ↑